# Lunar Apostles

- Makes pillars optional and each pillar takes you to fight a different lunar scav (each pillar scav has different abilities). 
- After defeating a scav you'll start back in the tunnel with your rewards (lunar coin bag and an item)
- Item Chances - 50% white, 40% green, 10% red, 15% for pearl override, 20% for irradiant in override
- Moon is seeded (cauldrons will be the same)
- The scavs don't have items
- The scavs start in a "sleeping" state to allow time to prepare/heal
- Prevents drones from going to the scav arena (droneman, beetleguard, zoea, empathy cores still work). 
- Keys (regular/void) and Shipping Request Forms will not spawn after you complete a pillar
- Basic config available (use r2modman)
- Not tested in multiplayer.

## Known Issues

- Doing too much damage before a scav "wakes up" kills its AI
- Going to the scav arena without activating a pillar breaks things so "set_scene moon2" and activate a pillar (includes proper saving into limbo)

## Changelog

**1.1.1**

- Adds adaptive armor to the scavs
- Adds scav cripple immunity
- Adds config 
- Fixes regen scrap regenning after completing a scav
- Fixes chests/forms showing up after completing a scav

**1.1.0**

- Adds equipment to the scavs (Effigy of Grief)
- Removed initial combat AI (to give Eclipse players a chance to heal/prepare)
- Reduces HP
- Tweaks AI
- A bunch of damage tweaks for consistency
- Moves scavs to the center of the "arena"
- Fixes cannon projectiles doing too much damage
- Fixes orbs/attacks occasionally not spawning
- Increases tracking orb HP
- Projectiles can't be deleted by microbots (except shockwaves and ground orbs)
- Blood cannon arc angle tightened
- Switches an attack between mass and soul scavs
- Code cleanup

**1.0.1**

- Fixes seeded pillar drops
- Reduces scav base damage to 8
- Reduces scav base HP to 1800
- Changes tp position to end of tunnel
- Adds scav bag (unopened) for lunar coins with item
- Adds sound cue to shockwaves

**1.0.0**

- Adds moon seeding (Thanks Zinq!)
- Adds enclosure to the stage
- Reduces Scav base damage to 10

**0.9.6**

- fixes some pillars having the same apostle

**0.9.5**

- fixes game not working :)

**0.9.4**

- Increases base/level damage to 15 and 3
- Reduces aim time for some scavs
- Increases Starfall speed
- Removes flash effect from an ability
- Changed Arena terrain
- Added thematic pillars to limbo
- Reduces initial monster spawn credits by half after completing a pillar
- Consistent pillars (1 of each and they disable after completion)

**0.9.3**

- Changes initial AI to be in combat to try and fix a known issue
- Increases secondary range

**0.9.2**

- Added Persistent Buffs (Curse/Desperado) (Thanks Judgy!)
- Reduced Souls' sit ability duration
- After defeating a scav you return to the pillar you activated
- TP closer to the scav in limbo
- Adds reward for defeating an apostle (Chances - 50% white, 40% green, 10% red, 15% for pearl override, 20% for irradiant in override)

**0.9.1**

- Increased AI primary range
- Adds new abilties
- Edits existing abilties
- Blood is no longer the only interesting one :)

**0.9.0**

- Release
